Create a slide
curl --request POST \
--url https://app.demand-iq.com/api/decks/{deckId}/slides \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"slideId": "<string>",
"title": "<string>",
"narrationScript": "<string>",
"bullets": [
"<string>"
],
"slideContext": "<string>",
"audioUrl": "<string>",
"heroImg": "<string>",
"orderIndex": 123,
"slideType": "standard"
}
'import requests
url = "https://app.demand-iq.com/api/decks/{deckId}/slides"
payload = {
"slideId": "<string>",
"title": "<string>",
"narrationScript": "<string>",
"bullets": ["<string>"],
"slideContext": "<string>",
"audioUrl": "<string>",
"heroImg": "<string>",
"orderIndex": 123,
"slideType": "standard"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
slideId: '<string>',
title: '<string>',
narrationScript: '<string>',
bullets: ['<string>'],
slideContext: '<string>',
audioUrl: '<string>',
heroImg: '<string>',
orderIndex: 123,
slideType: 'standard'
})
};
fetch('https://app.demand-iq.com/api/decks/{deckId}/slides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slide": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slideId": "<string>",
"title": "<string>",
"bullets": [
"<string>"
],
"narration_script": "<string>",
"orderIndex": 123,
"slideType": "standard",
"slide_context": "<string>",
"audio_url": "<string>",
"hero_img": "<string>",
"hero_img_thumb": "<string>",
"wordTimings": [
{
"word": "<string>",
"startTime": 123,
"endTime": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Slides
Create a slide
POST
/
api
/
decks
/
{deckId}
/
slides
Create a slide
Authorizations
Session cookie obtained from POST /api/auth/login.
Path Parameters
UUID of the deck
Body
application/json
Human-readable identifier (e.g. "slide-1")
S3 key for pre-recorded audio
S3 key for slide image
Available options:
standard, product_pricing_v1 Response
Slide created
Show child attributes
Show child attributes